﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace _323525_RadGridView_WPF_AR_136
{
    public class ContextMenuSelector : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item is MenuItem)
            {
                MenuItem menuItem = item as MenuItem;

                if (menuItem.Text == "Paste")
                {
                    return InvisibleStyle;
                }
                else 
                {
                    return VisibleStyle;
                }             
               
            }
            return null;
        }
        public Style InvisibleStyle { get; set; }
        public Style VisibleStyle { get; set; }
    }
}
