﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Windows.Input;

namespace _323525_RadGridView_WPF_AR_136
{
    public class MenuItem
    {
        public MenuItem()
        {
            this.SubItems = new ObservableCollection<MenuItem>();
        }
        public string Text
        {
            get;
            set;
        }
        public Uri IconUrl
        {
            get;
            set;
        }
        public bool IsSeparator
        {
            get;
            set;
        }
        public ICommand Command
        {
            get;
            set;
        }
        public ObservableCollection<MenuItem> SubItems
        {
            get;
            set;
        }

        public static ObservableCollection<MenuItem> GetMenuItems()
        {
            ObservableCollection<MenuItem> items = new ObservableCollection<MenuItem>();
            MenuItem copyItem = new MenuItem()
            {
                Text = "Copy",
            };
            items.Add(copyItem);
            MenuItem pasteItem = new MenuItem()
            {
                Text = "Paste",
            };
            items.Add(pasteItem);
            MenuItem cutItem = new MenuItem()
            {
                Text = "Cut",
            };
            items.Add(cutItem);
            MenuItem separatorItem = new MenuItem()
            {
                IsSeparator = true
            };
            items.Add(separatorItem);
            MenuItem selectAllItem = new MenuItem()
            {
                Text = "Select All"
            };
            items.Add(selectAllItem);

            return items;
        }
    }
}
